<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MFLTGlyphAdjustment</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MFLTGlyphAdjustment<br/>
<small>
[<a class="el" href="group__m17nFLT.html">FLT API</a>]</small>
</h1><!-- doxytag: class="MFLTGlyphAdjustment" -->
<p>グリフ位置調整情報のための型.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a15a8d5a2994dd192e2650fb9487760e9">xadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#af0883a32e2ecd73cd823c0af21fa12d0">yadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a8d57d0253fbf193fb4488a5e4bb2668d">xoff</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a8a4a85f7ca77f747499e53398b5cd7be">yoff</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#aee994941a0007062c69d1f81c9f12407">back</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a6366b42e7178ae76a9a1ddc83f62541e">advance_is_absolute</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#ab32192ffac060bcd7891cccdf340112f">set</a>: 1</td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>グリフ位置調整情報のための型. </p>
<p>型 <a class="el" href="structMFLTGlyphAdjustment.html" title="グリフ位置調整情報のための型.">MFLTGlyphAdjustment</a> は、グリフのメトリック/位置の調整に関する情報を格納するための構造体であり、 <a class="el" href="structMFLTFont.html" title="FLT ドライバが使うフォントの型.">MFLTFont</a> の callback 関数 <b>drive_otf</b> に渡される。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="a15a8d5a2994dd192e2650fb9487760e9"></a><!-- doxytag: member="MFLTGlyphAdjustment::xadv" ref="a15a8d5a2994dd192e2650fb9487760e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#a15a8d5a2994dd192e2650fb9487760e9">MFLTGlyphAdjustment::xadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>水平・垂直方向の送り量の調整値を 26.6 fractional pixel format で表現したもの。 </p>

</div>
</div>
<a class="anchor" id="af0883a32e2ecd73cd823c0af21fa12d0"></a><!-- doxytag: member="MFLTGlyphAdjustment::yadv" ref="af0883a32e2ecd73cd823c0af21fa12d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#af0883a32e2ecd73cd823c0af21fa12d0">MFLTGlyphAdjustment::yadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8d57d0253fbf193fb4488a5e4bb2668d"></a><!-- doxytag: member="MFLTGlyphAdjustment::xoff" ref="a8d57d0253fbf193fb4488a5e4bb2668d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#a8d57d0253fbf193fb4488a5e4bb2668d">MFLTGlyphAdjustment::xoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフ位置決めための水平・垂直調整値を 26.6 fractional pixel format で表現したもの。 </p>

</div>
</div>
<a class="anchor" id="a8a4a85f7ca77f747499e53398b5cd7be"></a><!-- doxytag: member="MFLTGlyphAdjustment::yoff" ref="a8a4a85f7ca77f747499e53398b5cd7be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#a8a4a85f7ca77f747499e53398b5cd7be">MFLTGlyphAdjustment::yoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aee994941a0007062c69d1f81c9f12407"></a><!-- doxytag: member="MFLTGlyphAdjustment::back" ref="aee994941a0007062c69d1f81c9f12407" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">short <a class="el" href="structMFLTGlyphAdjustment.html#aee994941a0007062c69d1f81c9f12407">MFLTGlyphAdjustment::back</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフ描画のために戻るべきグリフ数。 </p>

</div>
</div>
<a class="anchor" id="a6366b42e7178ae76a9a1ddc83f62541e"></a><!-- doxytag: member="MFLTGlyphAdjustment::advance_is_absolute" ref="a6366b42e7178ae76a9a1ddc83f62541e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyphAdjustment.html#a6366b42e7178ae76a9a1ddc83f62541e">MFLTGlyphAdjustment::advance_is_absolute</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>非ゼロのとき、メンバー &lt;xadv&gt; と &lt;yadv&gt; は絶対値である。 すなわちその値をグリフ本来の送り幅に加算してはならない。 </p>

</div>
</div>
<a class="anchor" id="ab32192ffac060bcd7891cccdf340112f"></a><!-- doxytag: member="MFLTGlyphAdjustment::set" ref="ab32192ffac060bcd7891cccdf340112f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyphAdjustment.html#ab32192ffac060bcd7891cccdf340112f">MFLTGlyphAdjustment::set</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>他のメンバーのうち最低1個が非ゼロのときのみ、1にセットされる。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
